#!/bin/bash -x
# This script removes rpaths from all projects.
# It was created to help build rpms.
# It automates building a patched CoinAll without rpaths
# AS ARGUMENTs, pass each project-specific patch
# $Id: noRpathsPatch.sh 291 2008-10-07 02:13:08Z leolopes $
version=1.2.0

rm -Rf CoinAll-${version} CoinAll-${version}-noRpaths
tar xfz CoinAll-${version}.tgz
cd CoinAll-${version}
for p in $@; do
	patch -p1 < ../$p
done

cd ..
cp -a CoinAll-${version} CoinAll-${version}-noRpaths
cd CoinAll-${version}-noRpaths

# patch the Makefile.am files
find . -iname Makefile.am  -exec sed -i \
's/^\(.*LDFLAGS = \)\(-rpath.*$\)/\1 # \2 # commented to build rpms/' '{}' \;

# make sure that the correct version of the autotools are installed
# before running the next line. In particular look at the "tips and tricks"
# page in the BuildTools wiki
BuildTools/run_autotools

# now build the new patch
cd ..
diff -uNr CoinAll-${version} CoinAll-${version}-noRpaths > CoinAll-${version}-noRpaths.patch


